---
title: アカウントステータスの更新
slug: bqR8GsfOZMDNHV0O2xdis
createdAt: 2025-08-12T21:15:13.775Z
---

{
  "id": "HKdV5UPizbgzDBuFtT4lw",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/accountupdatenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/accountupdatenotification"
      }
    ],
    "name": "アカウントステータスの更新",
    "description": "Forterアカウントステータス更新に関する通知",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "リクエストが商人に送信された時刻（1970年1月1日からの秒数）",
              "example": 0,
              "default": 1415287568
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string<FORTER_ORDER_DECISION | ORDER_STATUS_UPDATE | FORTER_ACCOUNT_STATUS_UPDATE | COMPENSATION_REQUEST_UPDATE>",
              "description": "通知の種類。この通知の場合は常にFORTER_ACCOUNT_STATUS_UPDATEです。",
              "example": "",
              "default": "FORTER_ACCOUNT_STATUS_UPDATE"
            },
            {
              "name": "accountId",
              "kind": "optional",
              "type": "string",
              "description": "商人のサイトにおける顧客のアカウントUID",
              "example": "",
              "default": "e520-ba9a-367-60b"
            },
            {
              "name": "forterDecision",
              "kind": "optional",
              "type": "string<ACTIVATE | DEACTIVATE | RESTRICT_POLICY | ENABLE_POLICY | VERIFICATION_REQUIRED | NOT_REVIEWED>",
              "description": "最新のForterの決定",
              "example": "",
              "default": "ACTIVATE"
            },
            {
              "name": "reasons",
              "kind": "optional",
              "type": "array",
              "description": "Forterアカウントステータスの理由。空である可能性があります。",
              "example": "",
              "default": [
                "HIDING_IDENTITY"
              ],
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "recommendations",
              "kind": "optional",
              "type": "array",
              "description": "SMSによる電話確認、プッシュ通知による確認、メール確認、ID確認、新しいデバイスの顧客への通知などの追加の推奨事項。複数の提案がある場合は、1つだけが必要です。",
              "example": "",
              "default": [
                "SMS_VERIFICATION"
              ],
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "linkToAccountInDashboard",
              "kind": "optional",
              "type": "string",
              "description": "Forter Decision Dashboard内のアカウントへのリンク。",
              "example": "",
              "default": "https://portal.forter.com/accounts/866767522"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": ""
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/accountupdatenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"timestamp\": 1415287568,\n     \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n     \"accountId\": \"e520-ba9a-367-60b\",\n     \"forterDecision\": \"ACTIVATE\",\n     \"reasons\": [\n     \"HIDING_IDENTITY\"\n     ],\n     \"recommendations\": [\n     \"SMS_VERIFICATION\"\n     ],\n     \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/accountupdatenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/accountupdatenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/accountupdatenotification\"\n\npayload = json.dumps({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "qBX-xhlNTKnUEmEsnC7_I",
      "type": "paragraph",
      "children": [
        {
          "text": "Forterアカウントステータス更新に関する通知"
        }
      ]
    }
  ]
}